### Function

# ECal ComponentRange new

since: 3.34

#### Declaration [src]

    ECalComponentRange*
    e_cal_component_range_new (
      ECalComponentRangeKind kind,
      const ECalComponentDateTime* datetime
    )

#### Description [src]

Creates a new `ECalComponentRange` describing a range. The returned structure should be freed with e_cal_component_range_free(), when no longer needed.

Available since: 3.34

#### Parameters

`kind`

  Type: `ECalComponentRangeKind`

  An `ECalComponentRangeKind`.

`datetime`

  Type: `ECalComponentDateTime`

  An `ECalComponentDateTime`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentRange`

A newly allocated `ECalComponentRange`.

The caller of the function takes ownership of the data, and is responsible for freeing it.